import { useContext } from "react";
import { FetchContext, FetchContextValue } from "./FetchContext";

export function useFetchContext(): FetchContextValue | undefined
export function useFetchContext(fallback: FetchContextValue): FetchContextValue
export function useFetchContext(fallback?: FetchContextValue | undefined): FetchContextValue | undefined {
  return useContext(FetchContext) ?? fallback;
}
