import { Portlet } from "@rakit/core";
import { ReactNode } from "react";

export function PageActions(props: { children?: ReactNode }) {
  const { children } = props;

  if (children == null) {
    return null;
  }

  return (
    <Portlet to="page-actions">
      {children}
    </Portlet>
  );
}
