import { Portlet } from "@rakit/core";
import Box, { BoxProps } from "@mui/joy/Box";

export interface PageDockProps extends BoxProps { }

export function PageDock(props: PageDockProps) {
  if (props.children == null) {
    return null;
  }

  return (
    <Portlet to="page-dock">
      <Box
        {...props}
      />
    </Portlet>
  );
}
