import { Theme } from "@mui/joy/styles";
import {
  UseMediaQueryOptions,
  useMediaQuery as useMediaQueryForMuiSystem
} from "@mui/system";

export function useMediaQuery(queryInput: string | ((theme: Theme) => string), options?: UseMediaQueryOptions): boolean {
  return useMediaQueryForMuiSystem<Theme>(queryInput);
}
