import { createContext } from "react";
import {
  AccessFallbackComponent,
  CanAccessOptions,
  CanAccessResult,
  Permission
} from "./types";

/**
 * @private
 */
export interface AccessControlContextValue {
  canAccess?: (options: CanAccessOptions) => CanAccessResult;
  permissions?: Permission[];
  accessFallback?: AccessFallbackComponent;
}

/**
 * @private
 */
export const AccessControlContext = createContext<AccessControlContextValue>({});
