import { useContext } from "react";
import { PortalContext } from "./PortalContext";

export function usePortal(name: string | string): Element | string | null {
  return useContext(PortalContext)[name] ?? null;
}
