export class FetchError extends Error {
  constructor(
    message: string,
    public readonly request?: Request,
    public readonly response?: Response,
    public readonly error?: any,
  ) {
    super(message);
    this.name = 'FetchError';
    Error.captureStackTrace?.(this, FetchError);
  }
}
