import { ProviderProps, ReactElement } from "react";
import { ErrorContext } from "./ErrorContext";
import { ErrorContextValue } from "./types";

export function ErrorContextProvider(
  props: ProviderProps<ErrorContextValue>
): ReactElement {
  return (
    <ErrorContext.Provider value={props.value}>
      {props.children}
    </ErrorContext.Provider>
  );
}
