export type Identifier = string | number;

export interface RaRecord {
  id: Identifier;
  [key: string]: any;
}

export type RecordToStringFunction<TRecord extends RaRecord = RaRecord> =
  (record: TRecord) => string;
