export function getErrorMessage(
  error: any,
  defaultMessage: string,
): string {
  return typeof error === 'string'
    ? error
    : typeof error === 'undefined' || !error.message
      ? defaultMessage
      : error.message;
}
